<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:p="http://primefaces.org/ui"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:f="http://xmlns.jcp.org/jsf/core">
    <body>
        <ui:component>
            <p:dialog
                id="AnexarU"
                header="Anexar Usuario"
                widgetVar="AnexarUsuario"
                modal="true"
                resizable="false"
                closable="true"
                width="500" >
                <h:panelGroup id="detalleAnexar">
                    <br/><br/>
                    <h:form id="anexar">
                        <h:panelGrid columns="2" >
                            <p:column>
                                <h:outputLabel for="id" value="Id: " style="font-weight: bold"/>
                            </p:column>
                            <p:column>
                                <p:inputText id="id" value="#{usuarioMB.id}" readonly="true" style="width: 150px"/>
                             </p:column>
                            
                            <p:column>
                                <h:outputLabel for="nombre" value="Nombre: " style="font-weight: bold"/>
                            </p:column>
                            <p:column>
                                <p:inputText id="nombre" value="#{usuarioMB.nombre}" style="width: 350px" required="true" requiredMessage="El campo nombre es requerido"/>
                             </p:column>
                            
                            <p:column>
                                <h:outputLabel for="apellidos" value="Apellidos: " style="font-weight: bold"/>
                            </p:column>
                            <p:column>
                                <p:inputText id="apellidos" value="#{usuarioMB.apellidos}" style="width: 350px" required="true" requiredMessage="El campo apellidos es requerido"/>
                             </p:column>
                        
                            <p:column>
                                <h:outputLabel for="login" value="Login: " style="font-weight: bold"/>
                            </p:column>
                            <p:column>
                                <p:inputText id="login" value="#{usuarioMB.login}" style="width: 350px" required="true" requiredMessage="El campo login es requerido"/>
                            </p:column>
                            
                            <p:column>
                                <h:outputLabel for="password" value="Password: " style="font-weight: bold"/>
                            </p:column>
                            <p:column>
                                <p:password id="password" value="#{usuarioMB.password}" style="width: 350px" required="true" requiredMessage="El campo login es requerido"/>
                            </p:column>
                            
                            <p:column>
                                <p:outputLabel for="perfil" value="Perfil: " style="font-weight: bold" />
                            </p:column>
                            <p:column>
                                <p:selectOneMenu id="perfil"  value="#{usuarioMB.perfil}"
                                                 filter="true" filterMatchMode="startsWith" caseSensitive="true"
                                                 required="true" requiredMessage="La clave es requerida">
                                    <f:selectItem itemLabel="Selecciona una opción"  />
                                    <f:selectItems value="#{usuarioMB.perfiles}"
                                    var="registrop"
                                    itemLabel="#{registrop.nombre}"
                                    itemValue="#{registrop.id}"/>
                                </p:selectOneMenu>
                            </p:column>                            
                            <p:column>
                                <p:outputLabel for="activo" value="Activo: " style="font-weight: bold" />
                            </p:column>
                            <p:column>
                                <p:selectOneMenu id="activo"    value="#{usuarioMB.activo}"
                                                 filter="true" filterMatchMode="startsWith" caseSensitive="true"
                                                 required="true" requiredMessage="La clave es requerida">
                                    <f:selectItem itemLabel="Selecciona una opción"  />
                                    <f:selectItems value="#{usuarioMB.activos}"
                                    var="registroa"
                                    itemLabel="#{registroa.nombre}"
                                    itemValue="#{registroa.id}"/>
                                </p:selectOneMenu>
                            </p:column>
                            
                            <p:column>
                                <p:commandButton 
                                    value="Alta" 
                                    icon="ui-icon-contact"
                                    style="font-size:  100%"
                                    action="#{usuarioMB.AnexarUsuario}">                        
                                </p:commandButton>
                            </p:column>   
                            <p:column>
                                <p:commandButton
                                    value="Cerrar"
                                    type="button"
                                    icon="ui-icon-circle-close"
                                    style="font-size:  100%"
                                    onclick="PF('AnexarUsuario').hide();">
                                </p:commandButton>
                            </p:column>
                        </h:panelGrid> 
                    </h:form>
                </h:panelGroup>
            </p:dialog>
        </ui:component>
    </body>
</html>
